#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 storablevector
version:              0.2.13.1
visibility:           public
id:                   storablevector-0.2.13.1-NGkQGXTya84oE2qZUT8JZ
key:                  storablevector-0.2.13.1-NGkQGXTya84oE2qZUT8JZ
license:              BSD-3-Clause
maintainer:           Henning Thielemann <storablevector@henning-thielemann.de>
author:
    Spencer Janssen <sjanssen@cse.unl.edu>, Henning Thielemann <storablevector@henning-thielemann.de>

stability:            Experimental
homepage:             http://www.haskell.org/haskellwiki/Storable_Vector
synopsis:
    Fast, packed, strict storable arrays with a list interface like ByteString

description:
    Fast, packed, strict storable arrays
    with a list interface,
    a chunky lazy list interface with variable chunk size
    and an interface for write access via the @ST@ monad.
    This is much like @bytestring@ and @binary@
    but can be used for every '\''Foreign.Storable.Storable'\'' type.
    See also package
    <http://hackage.haskell.org/package/vector>
    with a similar intention.

    We do not provide advanced fusion optimization,
    since especially for lazy vectors
    this would either be incorrect or not applicable.
    However we provide fusion with lazy lists in the package
    <http://hackage.haskell.org/package/storablevector-streamfusion>.

category:             Data
abi:                  4e6485f3acd75e35d0d3ba9133a0cb5d
exposed:              True
exposed-modules:
    Data.StorableVector Data.StorableVector.Base
    Data.StorableVector.Lazy Data.StorableVector.Lazy.Builder
    Data.StorableVector.Lazy.Pattern Data.StorableVector.Lazy.Pointer
    Data.StorableVector.Lazy.Typed Data.StorableVector.Pointer
    Data.StorableVector.ST.Lazy Data.StorableVector.ST.Strict

hidden-modules:
    Data.StorableVector.Memory Data.StorableVector.ST.Private
    Data.StorableVector.Lazy.PointerPrivate
    Data.StorableVector.Lazy.PointerPrivateIndex
    Data.StorableVector.Cursor

import-dirs:          /usr/lib/ghc-8.10.3/site-local/storablevector-0.2.13.1
library-dirs:         /usr/lib/ghc-8.10.3/site-local/storablevector-0.2.13.1
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-8.10.3/storablevector-0.2.13.1
hs-libraries:         HSstorablevector-0.2.13.1-NGkQGXTya84oE2qZUT8JZ
depends:
    QuickCheck-2.14.2-Es1boFovJrn7U6rxMb4LCo base-4.14.1.0
    deepseq-1.4.4.0 non-negative-0.1.2-DJVPAnwtOrIB3eYZ8YWndn
    syb-0.7.2.1-CJLve2ufQ9iBKjc57rB5t8 transformers-0.5.6.2
    unsafe-0.0-24urQzVt9PWBSwlXDCq1I6
    utility-ht-0.0.15-6t9XaVETW59JixBl5tu1ZP

haddock-interfaces:
    /usr/share/doc/haskell-storablevector/html/storablevector.haddock

haddock-html:         /usr/share/doc/haskell-storablevector/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

